GET Api/Building/{id}

URI Example

GET Api/Building/{id}

URI Parameters

NameDescriptionTypeAdditional information
id

integer

Required

Body Parameters

None.

Resource Description

BuildingResource
NameDescriptionTypeAdditional information
Id

integer

None.

ObjectCode

string

None.

CategoryId

integer

None.

OwnerId

integer

None.

CountryId

string

None.

LocalizationId

string

None.

Name

string

None.

Address

string

None.

GpsCoordinates

string

None.

TypeId

integer

None.

ListedAs

string

None.

CadastralMatrixNumber

string

None.

Inactive

boolean

None.

UpdateDate

date

None.

_links

Dictionary of string [key] and Link [value]

None.

_embedded

Dictionary of string [key] and Object [value]

None.

Response Formats

application/json, text/json, application/hal+json
  • {
      "_links": {
        "sample string 1": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        },
        "sample string 2": {
          "href": "sample string 1",
          "method": "sample string 2",
          "rel": [
            "sample string 1",
            "sample string 2"
          ]
        }
      },
      "id": 1,
      "objectCode": "sample string 2",
      "categoryId": 3,
      "ownerId": 4,
      "countryId": "sample string 5",
      "localizationId": "sample string 6",
      "name": "sample string 7",
      "address": "sample string 8",
      "gpsCoordinates": "sample string 9",
      "typeId": 10,
      "listedAs": "sample string 11",
      "cadastralMatrixNumber": "sample string 12",
      "inactive": true,
      "updateDate": "2026-10-29T13:05:59.6953119+01:00",
      "_embedded": {
        "sample string 1": {},
        "sample string 3": {}
      }
    }